Package org.eclipse.m2m.atl.dsls.tcs.injector.wrappers.antlr3

## Class ParserWrapper

- java.lang.Object
- - org.eclipse.m2m.atl.dsls.tcs.injector.wrappers.ParserWrapper
  - - org.eclipse.m2m.atl.dsls.tcs.injector.wrappers.antlr3.ParserWrapper

    public class ParserWrapper
    extends ParserWrapper

### Field Summary

### Fields inherited from class org.eclipse.m2m.atl.dsls.tcs.injector.wrappers.ParserWrapper

`pack, runtime, TT_COMMENT, TT_NL, TT_WS`

### Constructor Summary

Constructors
`ParserWrapper()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getEndOffset​(java.lang.Object token)`
`java.lang.Object` `getLastToken()`
`java.lang.String` `getLocation​(java.lang.Object token)`
`int` `getStartOffset​(java.lang.Object token)`
`java.lang.Object` `parse​(int tabSize, java.lang.String name, java.lang.String productionRule, java.io.Reader isr, java.util.Map params)`
`void` `reportError​(java.lang.Exception e)`
`void` `setCommentsAfter​(java.lang.Object ame, java.lang.Object params_)`
`void` `setCommentsBefore​(java.lang.Object ame, java.lang.Object params_)` sets the comments before a model element.

### Methods inherited from class org.eclipse.m2m.atl.dsls.tcs.injector.wrappers.ParserWrapper

`setRuntime`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ParserWrapper

    public ParserWrapper()

### Method Detail

#### parse

    public java.lang.Object parse​(int tabSize,
                                  java.lang.String name,
                                  java.lang.String productionRule,
                                  java.io.Reader isr,
                                  java.util.Map params)
                           throws java.lang.Exception

Specified by:
  `parse` in class `ParserWrapper`
Throws:
  `java.lang.Exception`

#### reportError

    public void reportError​(java.lang.Exception e)

Specified by:
  `reportError` in class `ParserWrapper`

#### setCommentsBefore

    public void setCommentsBefore​(java.lang.Object ame,
                                  java.lang.Object params_)

sets the comments before a model element. the input is the current stream. the index is the index of the current token

Specified by:
  `setCommentsBefore` in class `ParserWrapper`

#### setCommentsAfter

    public void setCommentsAfter​(java.lang.Object ame,
                                 java.lang.Object params_)

Specified by:
  `setCommentsAfter` in class `ParserWrapper`

#### getLocation

    public java.lang.String getLocation​(java.lang.Object token)

Specified by:
  `getLocation` in class `ParserWrapper`

#### getStartOffset

    public int getStartOffset​(java.lang.Object token)

Specified by:
  `getStartOffset` in class `ParserWrapper`

#### getEndOffset

    public int getEndOffset​(java.lang.Object token)

Specified by:
  `getEndOffset` in class `ParserWrapper`

#### getLastToken

    public java.lang.Object getLastToken()

Specified by:
  `getLastToken` in class `ParserWrapper`